Highlighted
Honored Contributor.
Honored Contributor.
217 views

PPM 9.21 Upgrade

Jump to solution

Can this patch be applied directly to PPM 9.14.0007 ?  After reading and re-reading the documentation it does not say you can not do this.  I attempted to apply the patch to my instance and received an error that said:

 

ERROR: /opt/ppm/PPM/ppm-914-SP1.jar does not exist.
       Patch cannot be applied.

0 Likes
1 Solution

Accepted Solutions
Highlighted
Honored Contributor.
Honored Contributor.

Re: PPM 9.21 Upgrade

Jump to solution

A review of the server.conf revealed that the com.kintana.core.SERVER_MODE was not set.  Setting it to 'NORMAL' initially did not fix the problem.  I was directed by HP Support to check the parameter in the database which actually was set to 'DISABLED'.  An update of the table parameter to 'NORMAL' allowed the PPM server nodes to start correctly.  I now have a 9.20 instance up and running!  thank to all for your assistance.

View solution in original post

0 Likes
7 Replies
Highlighted
Contributor.
Contributor.

Re: PPM 9.21 Upgrade

Jump to solution

Hi Max,

 

9.14.0001 is already installed if the system is on 9.14.0007.

 

The fixes are cummulative in to the latest SP.

 

9.14.0007 is the latest build, so would not be able to deploy any other earlier SP's for 9.14 version.

 

-Mike

“HP Support
If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.”
0 Likes
Highlighted
Micro Focus Expert
Micro Focus Expert

Re: PPM 9.21 Upgrade

Jump to solution
If the question is whether you can apply PPM 9.21 on top of 9.14.0007, the answer is no.
You must first upgrade from 9.14.0007 to 9.20, and then apply SP1 on top of it to get 9.21.

So you have to go through a minor version upgrade, which is more impacting than a SP or a patch deployment.
0 Likes
Highlighted
Honored Contributor.
Honored Contributor.

Re: PPM 9.21 Upgrade

Jump to solution

Thank you, I agree.  I ended up downloading the 9.20 install iso image and began the upgrade process from there.  Unfortunately, I receive the following error when I run the install:

 

 

Portfolio Management Center Version 9.20 has failed. Error message:Failed action(s):

RML_SETUP_IN_ITG

PostUpgrade

 

 

Now I cannot find any references either on this board or elsewhere that discussed this specific issue.  Does anyone have any ideas?

0 Likes
Highlighted
Contributor.
Contributor.

Re: PPM 9.21 Upgrade

Jump to solution

RML schema is just a copy of the PPM data to be used in reports.

 

Can just drop and recreate the RML schema (since this is probably a test of an upgrade; probably migrated a PROD PPM schema to the stage environment).

 

See KM860250.

 

-Mike

“HP Support
If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.”
0 Likes
Highlighted
Absent Member.. Absent Member..
Absent Member..

Re: PPM 9.21 Upgrade

Jump to solution

Hi Max,

 

Were any of the upgrade logs generated? If so, please attach them.

 

Also, please check if you are on a supported version of Oracle, here is the System Requirements and Compatibility Matrix guide,

http://support.openview.hp.com/selfsolve/document/KM00310120

 

 

 

 

Best regards,
Randall

-- Remember to give Kudos to answers! (click the KUDOS star)
"If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.”
0 Likes
Highlighted
Honored Contributor.
Honored Contributor.

Re: PPM 9.21 Upgrade

Jump to solution

I have re-generated the RML user and verified that the the system is in compliance with the compatibilit matrix.  I have an open ticket with HP support and have run the PPM Doctor utility at thier request.  Thanks for all the input.

 

Max

0 Likes
Highlighted
Honored Contributor.
Honored Contributor.

Re: PPM 9.21 Upgrade

Jump to solution

A review of the server.conf revealed that the com.kintana.core.SERVER_MODE was not set.  Setting it to 'NORMAL' initially did not fix the problem.  I was directed by HP Support to check the parameter in the database which actually was set to 'DISABLED'.  An update of the table parameter to 'NORMAL' allowed the PPM server nodes to start correctly.  I now have a 9.20 instance up and running!  thank to all for your assistance.

View solution in original post

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.